org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryGetResultsetMetaResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryGetResultsetMetaResult

    public class OdbcQueryGetResultsetMetaResult
    extends Object

SQL listener query resultset metadata result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryGetResultsetMetaResult(Collection<OdbcColumnMeta> columnsMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<OdbcColumnMeta>` `columnsMetadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcQueryGetResultsetMetaResult

    public OdbcQueryGetResultsetMetaResult(Collection<OdbcColumnMeta> columnsMetadata)

Parameters:
  `columnsMetadata` - Columns metadata.

### Method Detail

#### columnsMetadata

    public Collection<OdbcColumnMeta> columnsMetadata()

Returns:
  Columns metadata.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021